{
  "datasources":   {
    "datasources_id": ["integer", true,true, null],
    "source": ["text", true, true, null],
    "url": ["text", false,false, null],
    "methoddescription": ["text", false,false, null],
    "notes": ["text", false, false,null]
  },
  "glossary": {
    "glossary_id": ["integer", true,true, null],
    "term": ["text", true,true, null],
    "definition": ["text", true,false, null], 
    "datasourceid": ["integer", true,false, "datasources(datasources_id)"]
  },
  "measurementunits": {
    "measurementunits_id": ["integer", true,true, null],
    "unit": ["text", true,true, null],
    "multiplier_to_meters": ["real", true,false, null]
  },
  "elementtypedict": {
    "elementtypedict_id": ["integer", true, true,null],
    "elementtype": ["text", false,true, null],
    "hierarchykey": ["text", true,true, null],
    "definition": ["text", true,false, null]
  },
  "descriptionofmodelelements": {
    "descriptionofmodelelements_id": ["integer", true,true, null],
    "modelelement": ["text", false,true, null],
    "name": ["text", true,true, null],
    "age": ["text", true,false, null],
    "description": ["text", false,false, null],
    "hierarchykey": ["text", true,true, null],
    "datasourceid": ["integer", true,false, "datasources(datasources_id)"]
  },
    "novaluelines": {
    "novaluelines_id": ["integer", true,true, null],
    "type": ["text", false,false, "glossary(term)"],
    "modelelement": ["text", false,false, "descriptionofmodelelements(modelelement)"],
    "elementtype": ["text", false,false, "elementtypedict(elementtype)"],
    "datasourceid": ["integer", true,false, "datasources(datasources_id)"],
    "geom": ["LINESTRING", true,false, null]
  },
  "modelelementvaluelines": {
    "modelelementvaluelines_id": ["integer", true,true, null],
    "type": ["text", false,false, "glossary(term)"],
    "modelelement": ["text", true,false, "descriptionofmodelelements(modelelement)"],
    "elementtype": ["text", true,false, "elementtypedict(elementtype)"],
    "value": ["real", true,false, null],
    "valueconfidence": ["real", false,false, null],
    "valueunits": ["text", true,false, "measurementunits(unit)"],
    "datasourceid": ["integer", true,false, "datasources(datasources_id)"],
    "geom": ["LINESTRING", true,false, null]
  },
  "modelelementvaluepoints": {
    "modelelementvaluepoints_id": ["integer", true, true, null],
    "type": ["text", false, false, "glossary(term)"],
    "modelelement": ["text", true,false, "descriptionofmodelelements(modelelement)"],
    "elementtype": ["text", true,false, "elementtypedict(elementtype)"],
    "value": ["real", true,false, null],
    "valueconfidence": ["real", false,false, null],
    "valueunits": ["text", true,false, "measurementunits(unit)"],
    "datasourceid": ["integer", true,false, "datasources(datasources_id)"],
    "geom": ["POINT", true,false, null]
  },
  "modelelementsurfaces": {
    "modelelementsurfaces_id": ["integer", true,true, null],
    "type": ["text", false,false, "glossary(term)"],
    "modelelement": ["text", true,false, "descriptionofmodelelements(modelelement)"],
    "elementtype": ["text", true,false, "elementtypedict(elementtype)"],
    "valueunits": ["text", true,false, "measurementunits(unit)"],
    "datasourceid": ["integer", true,false, "datasources(datasources_id)"],
    "filename": ["text", false,true, null]
  },
    "verticalboreholepoints": {
    "verticalboreholepoints_id": ["integer", true, true, null],
    "type": ["text", false,false, "glossary(term)"],
    "borehole_identifier": ["text", false,false, null],
    "datasourceid": ["integer", false,false, "datasources(datasources_id)"],
    "geom": ["POINT", true,false, null]
  },
  "verticalboreholepicks": {
    "verticalboreholepicks_id": ["integer", true, true,null],
    "verticalboreholepointsid": ["integer", false, false,"verticalboreholepoints(verticalboreholepoints_id)"],
    "type": ["text", false, false, "glossary(term)"],
    "modelelement": ["text", true,false, "descriptionofmodelelements(modelelement)"],
    "elementtype": ["text", true,false, "elementtypedict(elementtype)"],
    "value": ["real", true,false, null],
    "valueconfidence": ["real", false,false, null],
    "valueunits": ["text", true,false, "measurementunits(unit)"],
    "datasourceid": ["integer", true,false, "datasources(datasources_id)"]
  },
  "deviatedboreholetracks": {
    "deviatedboreholetracks_id": ["integer", true, true, null],
    "type": ["text", false,false, "glossary(term)"],
    "borehole_identifier": ["text", false,false, null],
    "datasourceid": ["integer", false,false, "datasources(datasources_id)"],
    "geom": ["LINESTRING Z", true,false, null]
  },
  "deviatedboreholetrackpicks": {
    "deviatedboreholetrackpicks_id": ["integer", true, true,null],
    "deviatedboreholetracksid": ["integer", false, false,"deviatedboreholetracks(deviatedboreholetracks_id)"],
    "downhole_distance": ["real", true, false,null],
    "downhole_distance_uncertainty": ["real", false, false,null],
    "type": ["text", false,false, "glossary(term)"],
    "modelelement": ["text", false,false, "descriptionofmodelelements(modelelement)"],
    "elementtype": ["text", true,false, "elementtypedict(elementtype)"],
    "datasourceid": ["integer", false,false, "datasources(datasources_id)"]
  }
}
